Subject: Re: ����: Re: ����: Reg. IP addresses associated with a virtual router

From: Rajesh Naveen <[email-masked]>
Date: Sun, 1 Apr 2001 20:05:47 -0700 (PDT)

Okay, I think Vikram's reply makes it clear.

If the same master-backup pair is going to be the
virtual router group for different group of end-hosts,
then we need multiple virtual IP addresses for the
group.

So in a VRRP packet send during VRRP advertisements
among routers, it is these virtual IP address(es) that
are part of the packet. If there are 4 virtual IP
addresses for a virtual group, we have CountIPaddress
= 4 and we list down those IP addresses in the packet.

--- [email-masked] wrote:
> 
> 
>   I have the same question when I first read
> RFC2338, I am confused for in our
> group there are two opinions.
>   1) the addresses are all virtual addresses
> associated to a single group and
> they are different network next hops in one router.
> A router as cisco2500 only
> has one Ether port, if it is used to forwarding
> packets between two logical IP
> network on a same LAN and want to redundary. for
> example: there are two kind of
> IP addrs on a single LAN, 202.102.24.* and
> 192.168.1.*, when use a single E port
> router to forwarding packets, we usually configure a
> IP addr of each network as
> follows: 202.102.24.254 & 192.168.1.254. They could
> be in one virtual group.
>   2) all the ip addresses, including virtual & real,
> should add into VRRP
> ADVERTISEMENT and in accordance, count the "Count IP
> addrs" field. as RFC2338
> says: to troubleshooting misconfigured routers.
> 
> We denied the second opinion at last.
> So in my implement of VRRP, I usually use 1 IP
> address for a single virtual
> group.
> But I make the it configurable if you want use more
> virtual IP address.
> 
> 

__________________________________________________
Do You Yahoo!?
Get email at your own domain with Yahoo! Mail. 
http://personal.mail.yahoo.com/?.refer=text